Subject: RE: [SIP] T.38 and multiple streams

From: "Culpepper, Bert" <[email-masked]>
Date: Mon, 19 Feb 2001 16:00:12 -0600

Hello Christer,

I see the authors of the I-D do mention using two m= lines in section 6.2,
but in the context of UDP port usage by a gateway.  But, as you point out,
their message contents in section 4.3 do not agree with their recommendation
in section 4.1 to mute the audio stream.

I too would not release audio resources if they might be needed once the fax
stream ends.  I guess we as application developers need to decide if we want
the protocol to indicate what media support is needed for a session whether
or not a particular media stream is constant.  Or do we leave it up to the
implementation to support the capability to restore audio without indication
in the protocol.  Being that the I-D promotes itself as a BCP, I would argue
that the session as described is a multi (two) media session so both media
descriptions should be present throughout the message exchange.  Or leave
the audio media description and add the fax media description in the
reINVITE sent by the egress gateway.  Although I can see a PSTN gateway not
knowing in advance that a fax will be sent so adding the fax media
description seems to be the best approach in this scenario.

Anyway, I've copied the authors so they can comment if they desire.

Regards,
Bert

> -----Original Message-----
> From: Christer Holmberg [mailto:[email-masked]]
> Sent: Monday, February 19, 2001 3:02 PM
> To: Culpepper, Bert
> Cc: [email-masked]
> Subject: Re: [SIP] T.38 and multiple streams
> 
> 
> 
> Hi,
> 
> >My interpretation of the message flow (message contents) in the I-D is
that
> >the egress gateway is replacing the audio stream with a T.38 stream since
> >the original m= line and parameters are replaced with t.38 data.  I guess
> >this effectively mutes the audio session :)
> 
> Yes, that is true. The recommendation, however, says that the 
> fax stream
> should be ADDED to the connection, not REPLACE the voice stream.
>  
> >If the egress gateway wanted to mute the audio using the method defined
in
> >the SIP RFC, it would have included both media descriptions and an
> >additional c= line for one of media descriptions.  By having a c= line in
> >the T.38 media description, the egress gateway could place the audio on
hold
> >(using IP address of 0.0.0.0 in the main session description) and still
have
> >the T.38 session.  SDP (RFC 2327) allows c= lines in media descriptions
> >(that only apply to the one media stream) which override c= lines in the
> >main session description.  A possibly more explicit session description
> >would not have a c= line in the general session description and c= lines
in
> >each media description.
> > 
> >So RFC 2327 allows placing the audio on hold while the T.38 is active at
the
> >protocol level.
> 
> It was my understanding from the T.38 on IP recommendation 
> that this is
> the way it should work. We should add the fax stream, and 
> mute the voice
> stream instead of removing it, ie using a separate c= lines for each
> media stream. I don't want to free resources I've used for the voice
> when transmitting the fax, since I will probably need them if I switch
> back from fax to voice.
> 
> Regards,
> 
> Christer Holmberg
> Ericsson Finland
> 
> 
> > 
> > regards,
> > Bert
> > 
> > > -----Original Message-----
> > > From: Christer Holmberg [mailto:[email-masked]]
> > > Sent: Monday, February 19, 2001 3:08 AM
> > > To: [email-masked]
> > > Subject: [SIP] T.38 and multiple streams
> > >
> > >
> > >
> > > Hi,
> > >
> > > I have a couple of questions about the t.38 call flow draft.
> > > I looked at
> > > the fax discussions in the archieve, but I could not find anything
> > > related to this. It is, however, related to SDP in general,
> > > so if it has
> > > been discussed I would be happy if someone could point me to
> > > the thread
> > > (and, hopefully, the solution :)
> > >
> > > 1. F11 INVITE IFTGW UA -> PROXY
> > >
> > > In this re-INVITE we add the fax stream to the call.  However, t.38
for
> > > SIP recommendation it says that the existing voice stream
> > > should remain,
> > > so shouldn't the original voice parameters (m line etc) be included in
> > > the re-INVITE SDP?
> > >
> > > 2. This questions is depending on the first.
> > >
> > > Like I said, the recommendation says that the existing voice stream
> > > should remain, but that it should be muted during the fax
> > > transmission.
> > > The problem is that SDP uses the c line, which is for the  WHOLE call
> > > (not a single stream), to mute stream(s), so I wonder if  it will be
> > > possible to do this on a protocol level, or if it has to be in the
> > > implementation?
> > >
> > >
> > > Regards,
> > >
> > > Christer Holmberg
> > > Ericsson Finland
> > >
> 

_______________________________________________
This list is for continuing development of the SIP protocol.
The sip-implementer's list is the place to discuss implementation,
and to receive advice on understanding existing sip.
To subscribe to it, send mail to [email-masked] with
"subscribe sip-implementors" in the body.

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 20 Feb 2001 11:04:47 +0200

Hi,

Thanks for your comments!

I agree that there sure will raise a number of implementation issues
later, but first I would like to get the
recommendation and the call flows to "fit" each other :)

Regards,

Christer Holmberg
Ericsson Finland